Index: c/src/lib/libchip/serial/ns16550.c
===================================================================
--- c/src/lib/libchip/serial/ns16550.c	(revision cd58d821b0799c77c3d48f9ccf1bbfd214d02ba9)
+++ c/src/lib/libchip/serial/ns16550.c	(revision aa0da6b2c25f6301f0a741b586620cf69af77110)
@@ -1,4 +1,7 @@
 /*
- *  This file contains the TTY driver for the NS16550
+ *  This file contains the TTY driver for the National Semiconductor NS16550.
+ *
+ *  This part is widely cloned and second sourced.  It is found in a number 
+ *  of "Super IO" controllers.
  *
  *  COPYRIGHT (c) 1998 by Radstone Technology
Index: c/src/lib/libchip/serial/ns16550_p.h
===================================================================
--- c/src/lib/libchip/serial/ns16550_p.h	(revision cd58d821b0799c77c3d48f9ccf1bbfd214d02ba9)
+++ c/src/lib/libchip/serial/ns16550_p.h	(revision aa0da6b2c25f6301f0a741b586620cf69af77110)
@@ -13,4 +13,5 @@
  * no support for this code.
  *
+ *  $Id$
  */
 
@@ -21,4 +22,5 @@
 extern "C" {
 #endif
+
 /*
  * Define serial port read registers structure.
@@ -45,4 +47,5 @@
 #define NS16550_MODEM_STATUS     6
 #define NS16550_SCRATCH_PAD      7
+
 /*
  * Define serial port write registers structure.
@@ -67,8 +70,8 @@
  */
 
-#define SP_INT_RX_ENABLE	0x01
-#define SP_INT_TX_ENABLE	0x02
-#define SP_INT_LS_ENABLE	0x04
-#define SP_INT_MS_ENABLE	0x08
+#define SP_INT_RX_ENABLE  0x01
+#define SP_INT_TX_ENABLE  0x02
+#define SP_INT_LS_ENABLE  0x04
+#define SP_INT_MS_ENABLE  0x08
 
 /*
@@ -86,24 +89,27 @@
  * Define serial port fifo control register structure.
  */
-#define SP_FIFO_ENABLE	0x01
-#define SP_FIFO_RXRST	0x02
-#define SP_FIFO_TXRST	0x04
-#define SP_FIFO_DMA		0x08
-#define SP_FIFO_RXLEVEL	0xc0
+
+#define SP_FIFO_ENABLE  0x01
+#define SP_FIFO_RXRST 0x02
+#define SP_FIFO_TXRST 0x04
+#define SP_FIFO_DMA   0x08
+#define SP_FIFO_RXLEVEL 0xc0
 
 /*
  * Define serial port line control register structure.
  */
-#define SP_LINE_SIZE	0x03
-#define SP_LINE_STOP	0x04
-#define SP_LINE_PAR		0x08
-#define SP_LINE_ODD		0x10
-#define SP_LINE_STICK	0x20
-#define SP_LINE_BREAK	0x40
-#define SP_LINE_DLAB	0x80
+
+#define SP_LINE_SIZE  0x03
+#define SP_LINE_STOP  0x04
+#define SP_LINE_PAR   0x08
+#define SP_LINE_ODD   0x10
+#define SP_LINE_STICK 0x20
+#define SP_LINE_BREAK 0x40
+#define SP_LINE_DLAB  0x80
 
 /*
  * Line status register character size definitions.
  */
+
 #define FIVE_BITS 0x0                   /* five bits per character */
 #define SIX_BITS 0x1                    /* six bits per character */
@@ -114,4 +120,5 @@
  * Line speed divisor definition.
  */
+
 #define NS16550_Baud(baud_rate) (115200/baud_rate)
 
@@ -119,21 +126,23 @@
  * Define serial port modem control register structure.
  */
-#define SP_MODEM_DTR	0x01
-#define SP_MODEM_RTS	0x02
-#define SP_MODEM_IRQ	0x08
-#define SP_MODEM_LOOP	0x10
-#define SP_MODEM_DIV4	0x80
+
+#define SP_MODEM_DTR  0x01
+#define SP_MODEM_RTS  0x02
+#define SP_MODEM_IRQ  0x08
+#define SP_MODEM_LOOP 0x10
+#define SP_MODEM_DIV4 0x80
 
 /*
  * Define serial port line status register structure.
  */
-#define SP_LSR_RDY		0x01
-#define SP_LSR_EOVRUN	0x02
-#define SP_LSR_EPAR		0x04
-#define SP_LSR_EFRAME	0x08
-#define SP_LSR_BREAK	0x10
-#define SP_LSR_THOLD	0x20
-#define SP_LSR_TX		0x40
-#define SP_LSR_EFIFO	0x80
+
+#define SP_LSR_RDY    0x01
+#define SP_LSR_EOVRUN 0x02
+#define SP_LSR_EPAR   0x04
+#define SP_LSR_EFRAME 0x08
+#define SP_LSR_BREAK  0x10
+#define SP_LSR_THOLD  0x20
+#define SP_LSR_TX   0x40
+#define SP_LSR_EFIFO  0x80
 
 typedef struct _ns16550_context
@@ -145,4 +154,5 @@
  * Driver functions
  */
+
 static boolean ns16550_probe(int minor);
 
@@ -150,34 +160,34 @@
 
 static int ns16550_open(
-	int	major,
-	int	minor,
-	void	* arg
+  int major,
+  int minor,
+  void  * arg
 );
 
 static int ns16550_close(
-	int	major,
-	int	minor,
-	void	* arg
+  int major,
+  int minor,
+  void  * arg
 );
 
 static void ns16550_write_polled(
-	int   minor, 
-	char  cChar
+  int   minor, 
+  char  cChar
 );
 
 static int ns16550_assert_RTS(
-	int minor
+  int minor
 );
 
 static int ns16550_negate_RTS(
-	int minor
+  int minor
 );
 
 static int ns16550_assert_DTR(
-	int minor
+  int minor
 );
 
 static int ns16550_negate_DTR(
-	int minor
+  int minor
 );
 
@@ -187,17 +197,17 @@
 
 static int ns16550_write_support_int(
-	int   minor,
-	const char *buf,
-	int   len
+  int   minor,
+  const char *buf,
+  int   len
 );
 
 static int ns16550_write_support_polled(
-	int   minor,
-	const char *buf,
-	int   len
-	);
+  int   minor,
+  const char *buf,
+  int   len
+  );
 
 static int ns16550_inbyte_nonblocking_polled(
-	int minor
+  int minor
 );
 
Index: c/src/libchip/serial/ns16550.c
===================================================================
--- c/src/libchip/serial/ns16550.c	(revision cd58d821b0799c77c3d48f9ccf1bbfd214d02ba9)
+++ c/src/libchip/serial/ns16550.c	(revision aa0da6b2c25f6301f0a741b586620cf69af77110)
@@ -1,4 +1,7 @@
 /*
- *  This file contains the TTY driver for the NS16550
+ *  This file contains the TTY driver for the National Semiconductor NS16550.
+ *
+ *  This part is widely cloned and second sourced.  It is found in a number 
+ *  of "Super IO" controllers.
  *
  *  COPYRIGHT (c) 1998 by Radstone Technology
Index: c/src/libchip/serial/ns16550_p.h
===================================================================
--- c/src/libchip/serial/ns16550_p.h	(revision cd58d821b0799c77c3d48f9ccf1bbfd214d02ba9)
+++ c/src/libchip/serial/ns16550_p.h	(revision aa0da6b2c25f6301f0a741b586620cf69af77110)
@@ -13,4 +13,5 @@
  * no support for this code.
  *
+ *  $Id$
  */
 
@@ -21,4 +22,5 @@
 extern "C" {
 #endif
+
 /*
  * Define serial port read registers structure.
@@ -45,4 +47,5 @@
 #define NS16550_MODEM_STATUS     6
 #define NS16550_SCRATCH_PAD      7
+
 /*
  * Define serial port write registers structure.
@@ -67,8 +70,8 @@
  */
 
-#define SP_INT_RX_ENABLE	0x01
-#define SP_INT_TX_ENABLE	0x02
-#define SP_INT_LS_ENABLE	0x04
-#define SP_INT_MS_ENABLE	0x08
+#define SP_INT_RX_ENABLE  0x01
+#define SP_INT_TX_ENABLE  0x02
+#define SP_INT_LS_ENABLE  0x04
+#define SP_INT_MS_ENABLE  0x08
 
 /*
@@ -86,24 +89,27 @@
  * Define serial port fifo control register structure.
  */
-#define SP_FIFO_ENABLE	0x01
-#define SP_FIFO_RXRST	0x02
-#define SP_FIFO_TXRST	0x04
-#define SP_FIFO_DMA		0x08
-#define SP_FIFO_RXLEVEL	0xc0
+
+#define SP_FIFO_ENABLE  0x01
+#define SP_FIFO_RXRST 0x02
+#define SP_FIFO_TXRST 0x04
+#define SP_FIFO_DMA   0x08
+#define SP_FIFO_RXLEVEL 0xc0
 
 /*
  * Define serial port line control register structure.
  */
-#define SP_LINE_SIZE	0x03
-#define SP_LINE_STOP	0x04
-#define SP_LINE_PAR		0x08
-#define SP_LINE_ODD		0x10
-#define SP_LINE_STICK	0x20
-#define SP_LINE_BREAK	0x40
-#define SP_LINE_DLAB	0x80
+
+#define SP_LINE_SIZE  0x03
+#define SP_LINE_STOP  0x04
+#define SP_LINE_PAR   0x08
+#define SP_LINE_ODD   0x10
+#define SP_LINE_STICK 0x20
+#define SP_LINE_BREAK 0x40
+#define SP_LINE_DLAB  0x80
 
 /*
  * Line status register character size definitions.
  */
+
 #define FIVE_BITS 0x0                   /* five bits per character */
 #define SIX_BITS 0x1                    /* six bits per character */
@@ -114,4 +120,5 @@
  * Line speed divisor definition.
  */
+
 #define NS16550_Baud(baud_rate) (115200/baud_rate)
 
@@ -119,21 +126,23 @@
  * Define serial port modem control register structure.
  */
-#define SP_MODEM_DTR	0x01
-#define SP_MODEM_RTS	0x02
-#define SP_MODEM_IRQ	0x08
-#define SP_MODEM_LOOP	0x10
-#define SP_MODEM_DIV4	0x80
+
+#define SP_MODEM_DTR  0x01
+#define SP_MODEM_RTS  0x02
+#define SP_MODEM_IRQ  0x08
+#define SP_MODEM_LOOP 0x10
+#define SP_MODEM_DIV4 0x80
 
 /*
  * Define serial port line status register structure.
  */
-#define SP_LSR_RDY		0x01
-#define SP_LSR_EOVRUN	0x02
-#define SP_LSR_EPAR		0x04
-#define SP_LSR_EFRAME	0x08
-#define SP_LSR_BREAK	0x10
-#define SP_LSR_THOLD	0x20
-#define SP_LSR_TX		0x40
-#define SP_LSR_EFIFO	0x80
+
+#define SP_LSR_RDY    0x01
+#define SP_LSR_EOVRUN 0x02
+#define SP_LSR_EPAR   0x04
+#define SP_LSR_EFRAME 0x08
+#define SP_LSR_BREAK  0x10
+#define SP_LSR_THOLD  0x20
+#define SP_LSR_TX   0x40
+#define SP_LSR_EFIFO  0x80
 
 typedef struct _ns16550_context
@@ -145,4 +154,5 @@
  * Driver functions
  */
+
 static boolean ns16550_probe(int minor);
 
@@ -150,34 +160,34 @@
 
 static int ns16550_open(
-	int	major,
-	int	minor,
-	void	* arg
+  int major,
+  int minor,
+  void  * arg
 );
 
 static int ns16550_close(
-	int	major,
-	int	minor,
-	void	* arg
+  int major,
+  int minor,
+  void  * arg
 );
 
 static void ns16550_write_polled(
-	int   minor, 
-	char  cChar
+  int   minor, 
+  char  cChar
 );
 
 static int ns16550_assert_RTS(
-	int minor
+  int minor
 );
 
 static int ns16550_negate_RTS(
-	int minor
+  int minor
 );
 
 static int ns16550_assert_DTR(
-	int minor
+  int minor
 );
 
 static int ns16550_negate_DTR(
-	int minor
+  int minor
 );
 
@@ -187,17 +197,17 @@
 
 static int ns16550_write_support_int(
-	int   minor,
-	const char *buf,
-	int   len
+  int   minor,
+  const char *buf,
+  int   len
 );
 
 static int ns16550_write_support_polled(
-	int   minor,
-	const char *buf,
-	int   len
-	);
+  int   minor,
+  const char *buf,
+  int   len
+  );
 
 static int ns16550_inbyte_nonblocking_polled(
-	int minor
+  int minor
 );
 
